Fractal Softworks Forum

Please login or register.

Login with username, password and session length
Pages: 1 ... 13 14 [15] 16 17 ... 33

Author Topic: [0.95a] The Mayorate v1.1.0 (2021-11-25)  (Read 287589 times)

Ubik

  • Ensign
  • *
  • Posts: 41
    • View Profile
Re: [0.6.5a] The Mayorate v0.8 dev (updated 26/10/14)
« Reply #210 on: October 30, 2014, 03:58:32 AM »

@ Ubik - I think I've figured it out. Foxer's economy.json and starmap.json are overwriting the core files from the actual game. Delete Citadel's copy of those files, append the lines with "Citadel" in them to the main game's copy and try things again. It's an ugly workaround, but it should work in the meantime while I figure out the merging issue. There is currently an issue where those two files do not merge properly and I think that's the root of your problem. You can also do a "test" to see if this will fix your issue by simply deactivating Citadel to see if the economy works. If it does, follow the above steps until I get a proper fix out. (This is of course a major bug that is fixed in the next Starsector patch...  :P)

Yes, the Citadel mod did actually cause the problem, it worked fine when I disabled Citadel.

In the end I did not delete the citadel files and add their content to the vanilla files but (as you said the Citadel ones overwrite the others) just added your lines to the files in the Citadel mod... seems to work now, both factions have planets/stations I can land on and fleets going around.

Thanks for taking the time to look up my problem.
Logged

Sleepyfish

  • Admiral
  • *****
  • Posts: 686
  • Blub
    • View Profile
Re: [0.6.5a] The Mayorate v0.8 dev (updated 26/10/14)
« Reply #211 on: October 30, 2014, 06:58:32 AM »

I swear there was some bold warning text below the 0.7.3 download link...
Logged

Debido

  • Admiral
  • *****
  • Posts: 1183
    • View Profile
Re: [0.6.5a] The Mayorate v0.8 dev (updated 26/10/14)
« Reply #212 on: October 30, 2014, 07:07:53 AM »

Foxer, you can simply convert to a full Java implementation of your system and economy(s) and you won't need to worry about conflicts with other mods.
Logged

Ubik

  • Ensign
  • *
  • Posts: 41
    • View Profile
Re: [0.6.5a] The Mayorate v0.8 dev (updated 26/10/14)
« Reply #213 on: October 30, 2014, 08:02:19 AM »

Hrm, now I can play with both mods active.

But I no longer can reload any saves (of newly started games), getting Errors when trying to load.

Should teach me not to edit any files...  ::)
Logged

kazi

  • Admiral
  • *****
  • Posts: 714
    • View Profile
Re: [0.6.5a] The Mayorate v0.8 dev (updated 26/10/14)
« Reply #214 on: October 31, 2014, 12:22:13 AM »

Foxer, you can simply convert to a full Java implementation of your system and economy(s) and you won't need to worry about conflicts with other mods.

Yeah, I'm personally going to get to this this weekend. Should solve a lot of problems. This is what I get for not looking through the new APIs yet lol...

Hrm, now I can play with both mods active.

But I no longer can reload any saves (of newly started games), getting Errors when trying to load.

Should teach me not to edit any files...  ::)

To be fair, this happens when you modify any files that have to do with the base campaign generation or add/delete stuff. The only things that do not cause corruption are very topical changes to .csv's and .wpn/.ship json's. Welcome to the wonderful world of modding.  :)
Logged

Ubik

  • Ensign
  • *
  • Posts: 41
    • View Profile
Re: [0.6.5a] The Mayorate v0.8 dev (updated 26/10/14)
« Reply #215 on: October 31, 2014, 05:59:14 AM »

I prefer the wonderful world of using interesting mods made by others.  ;)

Guess it will take a few more days/weeks till the mods work as nicely as before the patch but I still got to finish the legend of grimrock 2 anyways.  8)
Logged

TartarusMkII

  • Commander
  • ***
  • Posts: 164
    • View Profile
    • Email
Re: [0.6.5a] The Mayorate v0.8 dev (updated 26/10/14)
« Reply #216 on: October 31, 2014, 12:50:39 PM »

Aw, why change the name away from Rasht? lol
Logged

TartarusMkII

  • Commander
  • ***
  • Posts: 164
    • View Profile
    • Email
Re: [0.6.5a] The Mayorate v0.8 dev (updated 26/10/14)
« Reply #217 on: November 01, 2014, 05:46:05 PM »

Hiya, I am just putting this link here for the author of the mod to look at. I hope it can help, and I'd really appreciate it!

http://fractalsoftworks.com/forum/index.php?topic=8552.0

It is in regards to the current issue of having to edit files to get factions to work, from the perspective of an end-user.

(I realize you've done this already Kazi and I appreciate it- just wanted to share it, as I don't know how many mod creators actually browse the child forums.)
« Last Edit: November 01, 2014, 05:51:26 PM by TartarusMkII »
Logged

Histidine

  • Admiral
  • *****
  • Posts: 3629
    • View Profile
    • Bitbucket profile
    • Email
Re: [0.6.5a] The Mayorate v0.8 dev (updated 26/10/14)
« Reply #218 on: November 02, 2014, 05:10:22 AM »

Is the Del Azarchel supposed to have Stabilized Shields installed twice?

(also mission briefings need updating for new lore)
Logged

cardgame

  • Commander
  • ***
  • Posts: 131
  • Sonic Rainboom
    • View Profile
    • Email
Re: [0.6.5a] The Mayorate v0.8 dev (updated 26/10/14)
« Reply #219 on: November 02, 2014, 02:06:17 PM »

I seem to keep getting loading errors when loading any Mayorate saves. Specifically, an outofmemory error, java heap space.

I already have modified vmparams to 2gb so idk how to fix it. :\

Weird part is I started and played it fine all the way to level 23

edit 2: sorry, this seems to be a general base game issue, not necessarily specific to your mod. Also, my vmparam was somehow displaying false info. Truly modified it now and it works. Still, it might be nice to include instructions on modifying vmparams to increase memory allotment in the OP, since I hit the 512 default just by using this mod (native actually worked fine with only 512).

And the Del Azarchel has only one SS mod installed in my game.
« Last Edit: November 02, 2014, 03:58:43 PM by cardgame »
Logged

TartarusMkII

  • Commander
  • ***
  • Posts: 164
    • View Profile
    • Email
Re: [0.6.5a] The Mayorate v0.8 dev (updated 26/10/14)
« Reply #220 on: November 02, 2014, 07:23:10 PM »

Hey Cardgame, I am having the same issue you are having. I used to use a .bat file to run the game, but after the last update, it no longer works. What did you change to give Java more memory for the game? Thanks!
Logged

Darloth

  • Admiral
  • *****
  • Posts: 567
    • View Profile
Re: [0.6.5a] The Mayorate v0.8 dev (updated 26/10/14)
« Reply #221 on: November 02, 2014, 11:34:48 PM »

Assuming a windows system, there's a file called "vmparams" in the starsector directory.

Editing that with any text editor (notepad will do but notepad++ will be better, wordpad would probably be fine too) and replacing this: "-Xms512m -Xmx512m" with this: "-Xms1024m -Xmx1024m", then save and use the launcher as usual.

You could go up to -Xms2048m -Xmx2048m if you have the ram, but in my experience this means the launcher won't start properly because Java fails to allocate all that memory.  To fix that, you may need to replace the JRE with a 64 bit version.  This basically involves downloading a recent 64bit JRE, and copying it over the one in the starsector/jre folder.  If that's too complex, try numbers in between 1024 and 2048 until something works for you.

Finally: Loading a save seems to take quite a bit more memory than actually playing the game, presumably because the game doesn't keep -everything- in memory all at the same time, but loading needs to do initial setup on everything at least once.

Logged

TartarusMkII

  • Commander
  • ***
  • Posts: 164
    • View Profile
    • Email
Re: [0.6.5a] The Mayorate v0.8 dev (updated 26/10/14)
« Reply #222 on: November 02, 2014, 11:59:10 PM »

Thanks Darloth! I am going to quote you on my other thread for this work around, and I appreciate the help. I had a weird issue updating my Java, but obviously that is unrelated.
Logged

kazi

  • Admiral
  • *****
  • Posts: 714
    • View Profile
Re: [0.6.5a] The Mayorate v0.8 dev (updated 26/10/14)
« Reply #223 on: November 03, 2014, 02:50:43 AM »

Normally I would wait until I actually "added something" before releasing an update, but this patch fixes a number of economy and compatibility issues. You no longer need to edit the core files. Just activate the mod and play!

Thanks go out to Debido for making it so I almost didn't have to do any coding at all for this update haha  :D

Full: http://www.mediafire.com/download/fetj1zz8iuol6n8/mayorate-0.8.1.rar
No music: http://www.mediafire.com/download/fq7oobg1r1yzep8/mayorate-0.8.1-nomusic.rar

Changelog:
Code
v0.8.1
-The Mayorate no longer requires editing files to install. Just activate the mod and play.
-Fixed an economy bug that was causing markets to be a bit more intense than they should have been.
-Doubled Windstalker projectile health.
-Increased Tiamat built-in weapon range by 100.

also (for when I actually get around to adding things again...)

Okay, I'm done now haha....
« Last Edit: November 03, 2014, 03:00:05 AM by kazi »
Logged

TartarusMkII

  • Commander
  • ***
  • Posts: 164
    • View Profile
    • Email
Re: [0.6.5a] The Mayorate v0.8.1 (updated 3/11/14)
« Reply #224 on: November 03, 2014, 03:13:47 AM »

Great, thanks for the update, Kazi!
Logged
Pages: 1 ... 13 14 [15] 16 17 ... 33